Sync with portage [Thu Nov 8 10:29:48 MSK 2018].

mhiretskiy 1270
root 6 years ago
parent 1dc28b3759
commit 88bea7b3b7

Binary file not shown.

Binary file not shown.

@ -13,7 +13,7 @@ SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86 ~x64-macos"
KEYWORDS="amd64 ~arm x86 ~x64-macos"
IUSE="doc test"
RDEPEND="

@ -8,7 +8,7 @@ if [[ ${PV} == *9999 ]]; then
EGIT_REPO_URI="https://github.com/speed47/spectre-meltdown-checker.git"
else
SRC_URI="https://github.com/speed47/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
KEYWORDS="amd64 ~arm ~arm64 x86"
fi
DESCRIPTION="Spectre & Meltdown vulnerability/mitigation checker for Linux"

@ -8,7 +8,7 @@ if [[ ${PV} == *9999 ]]; then
EGIT_REPO_URI="https://github.com/speed47/spectre-meltdown-checker.git"
else
SRC_URI="https://github.com/speed47/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
fi
DESCRIPTION="Spectre & Meltdown vulnerability/mitigation checker for Linux"

@ -2,3 +2,4 @@ DIST sudo-1.8.23.tar.gz 3150674 BLAKE2B 11b1c7bfa372005cda8baf651c4662f6fd15e94c
DIST sudo-1.8.24.tar.gz 3175719 BLAKE2B 61fc469e2d8146b8bb59709192dc33828f0065d4dcf9625e72ae1da9a2c1d6925a0201e5999e146e2e15f5a103ad5690a88fcabb75f57e76b779fe07de53b459 SHA512 ec6295a456a300e81ea2356080d51a57e3eb5d8070d8aab228cece0100ef54954f6c3dd458316b0c2da6839c0d8dab7cdc1a360aceb2594641e064465ecb1ee8
DIST sudo-1.8.25.tar.gz 3189660 BLAKE2B 9eeab3ac4ea67a866071750a8cf19e0753ef1b59187f715c69547bbae8ee0039bf15116ef30ed5dc6fc11b17beeff174e08756b2d701e0f2668a05f2e318f623 SHA512 f3f0c9e315484e5ba2d535f41ab722881343b1fa299f75cfad456bd41a555d80080369677e62626307df792aeabc29ba450e6f0b9c284ea2cfb8dc5e3568f46d
DIST sudo-1.8.25p1.tar.gz 3189951 BLAKE2B ebfedaad62e60f625db8c46a5c8f19977a5ec0a86bab3b34d91096c08e8b8ece056ba312f9fecd4cdd704fc17d49a36681b41cd40269df7c67cd66d80c0d8efb SHA512 b1445be688d3c1dd7efbdfab68977a7a9b6fd6887191dc99ca717117eec0a550492642556cd55ca5873d054ddc5ccc2b87b2c34602e1ffc729ab6fbc4e523a72
DIST sudo-1.8.26b1.tar.gz 3228444 BLAKE2B 5e30144a2aaa5a92a6e9a2a30567f78ccee4e9b05caf0b0f97e587f1f62ac8b276f9d46712f6bdc7d7456214758046e557cc316e8990f5ff14d66621021d3616 SHA512 2fd09aecfc9d9c8fa69717b1a37404855c5c1c9be92a994ee5447c15c1e600e8a15c9060ae1388346d6b57178f412233aa7060b7788017e580ff60884a7da5ca

@ -23,7 +23,7 @@ if [[ ${PV} != "9999" ]] ; then
SRC_URI="https://www.sudo.ws/sudo/dist/${uri_prefix}${MY_P}.tar.gz
ftp://ftp.sudo.ws/pub/sudo/${uri_prefix}${MY_P}.tar.gz"
if [[ ${PV} != *_beta* ]] && [[ ${PV} != *_rc* ]] ; then
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~sparc-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~sparc-solaris"
fi
fi

@ -0,0 +1,242 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils pam multilib libtool tmpfiles
if [[ ${PV} == "9999" ]] ; then
EHG_REPO_URI="https://www.sudo.ws/repos/sudo"
inherit mercurial
fi
MY_P=${P/_/}
MY_P=${MY_P/beta/b}
uri_prefix=
case ${P} in
*_beta*|*_rc*) uri_prefix=beta/ ;;
esac
DESCRIPTION="Allows users or groups to run commands as other users"
HOMEPAGE="https://www.sudo.ws/"
if [[ ${PV} != "9999" ]] ; then
SRC_URI="https://www.sudo.ws/sudo/dist/${uri_prefix}${MY_P}.tar.gz
ftp://ftp.sudo.ws/pub/sudo/${uri_prefix}${MY_P}.tar.gz"
if [[ ${PV} != *_beta* ]] && [[ ${PV} != *_rc* ]] ; then
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~sparc-solaris"
fi
fi
# Basic license is ISC-style as-is, some files are released under
# 3-clause BSD license
LICENSE="ISC BSD"
SLOT="0"
IUSE="gcrypt ldap nls offensive openssl pam sasl selinux +sendmail skey sssd"
CDEPEND="
sys-libs/zlib:=
gcrypt? ( dev-libs/libgcrypt:= )
ldap? (
>=net-nds/openldap-2.1.30-r1
dev-libs/cyrus-sasl
)
openssl? ( dev-libs/openssl:0= )
pam? ( virtual/pam )
sasl? ( dev-libs/cyrus-sasl )
skey? ( >=sys-auth/skey-1.1.5-r1 )
sssd? ( sys-auth/sssd[sudo] )
"
RDEPEND="
${CDEPEND}
>=app-misc/editor-wrapper-3
virtual/editor
ldap? ( dev-lang/perl )
pam? ( sys-auth/pambase )
selinux? ( sec-policy/selinux-sudo )
sendmail? ( virtual/mta )
"
DEPEND="
${CDEPEND}
sys-devel/bison
"
S="${WORKDIR}/${MY_P}"
REQUIRED_USE="
pam? ( !skey )
skey? ( !pam )
?? ( gcrypt openssl )
"
MAKEOPTS+=" SAMPLES="
src_prepare() {
default
elibtoolize
}
set_secure_path() {
# FIXME: secure_path is a compile time setting. using PATH or
# ROOTPATH is not perfect, env-update may invalidate this, but until it
# is available as a sudoers setting this will have to do.
einfo "Setting secure_path ..."
# first extract the default ROOTPATH from build env
SECURE_PATH=$(unset ROOTPATH; . "${EPREFIX}"/etc/profile.env;
echo "${ROOTPATH}")
case "${SECURE_PATH}" in
*/usr/sbin*) ;;
*) SECURE_PATH=$(unset PATH;
. "${EPREFIX}"/etc/profile.env; echo "${PATH}")
;;
esac
if [[ -z ${SECURE_PATH} ]] ; then
ewarn " Failed to detect SECURE_PATH, please report this"
fi
# then remove duplicate path entries
cleanpath() {
local newpath thisp IFS=:
for thisp in $1 ; do
if [[ :${newpath}: != *:${thisp}:* ]] ; then
newpath+=:$thisp
else
einfo " Duplicate entry ${thisp} removed..."
fi
done
SECURE_PATH=${newpath#:}
}
cleanpath /bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/opt/bin${SECURE_PATH:+:${SECURE_PATH}}
# finally, strip gcc paths #136027
rmpath() {
local e newpath thisp IFS=:
for thisp in ${SECURE_PATH} ; do
for e ; do [[ $thisp == $e ]] && continue 2 ; done
newpath+=:$thisp
done
SECURE_PATH=${newpath#:}
}
rmpath '*/gcc-bin/*' '*/gnat-gcc-bin/*' '*/gnat-gcc/*'
einfo "... done"
}
src_configure() {
local SECURE_PATH
set_secure_path
# audit: somebody got to explain me how I can test this before I
# enable it.. - Diego
# plugindir: autoconf code is crappy and does not delay evaluation
# until `make` time, so we have to use a full path here rather than
# basing off other values.
myeconfargs=(
--enable-zlib=system
--enable-tmpfiles.d="${EPREFIX}"/usr/lib/tmpfiles.d
--with-editor="${EPREFIX}"/usr/libexec/editor
--with-env-editor
--with-plugindir="${EPREFIX}"/usr/$(get_libdir)/sudo
--with-rundir="${EPREFIX}"/run/sudo
--with-secure-path="${SECURE_PATH}"
--with-vardir="${EPREFIX}"/var/db/sudo
--without-linux-audit
--without-opie
$(use_enable gcrypt)
$(use_enable nls)
$(use_enable openssl)
$(use_enable sasl)
$(use_with offensive insults)
$(use_with offensive all-insults)
$(use_with ldap ldap_conf_file /etc/ldap.conf.sudo)
$(use_with ldap)
$(use_with pam)
$(use_with skey)
$(use_with sssd)
$(use_with selinux)
$(use_with sendmail)
)
econf "${myeconfargs[@]}"
}
src_install() {
default
if use ldap ; then
dodoc README.LDAP
cat <<-EOF > "${T}"/ldap.conf.sudo
# See ldap.conf(5) and README.LDAP for details
# This file should only be readable by root
# supported directives: host, port, ssl, ldap_version
# uri, binddn, bindpw, sudoers_base, sudoers_debug
# tls_{checkpeer,cacertfile,cacertdir,randfile,ciphers,cert,key}
EOF
insinto /etc
doins "${T}"/ldap.conf.sudo
fperms 0440 /etc/ldap.conf.sudo
insinto /etc/openldap/schema
newins doc/schema.OpenLDAP sudo.schema
fi
pamd_mimic system-auth sudo auth account session
keepdir /var/db/sudo/lectured
fperms 0700 /var/db/sudo/lectured
fperms 0711 /var/db/sudo #652958
# Don't install into /run as that is a tmpfs most of the time
# (bug #504854)
rm -rf "${ED%/}"/run
}
pkg_postinst() {
tmpfiles_process sudo.conf
#652958
local sudo_db="${EROOT}/var/db/sudo"
if [[ "$(stat -c %a "${sudo_db}")" -ne 711 ]] ; then
chmod 711 "${sudo_db}" || die
fi
if use ldap ; then
ewarn
ewarn "sudo uses the /etc/ldap.conf.sudo file for ldap configuration."
ewarn
if grep -qs '^[[:space:]]*sudoers:' "${ROOT}"/etc/nsswitch.conf ; then
ewarn "In 1.7 series, LDAP is no more consulted, unless explicitly"
ewarn "configured in /etc/nsswitch.conf."
ewarn
ewarn "To make use of LDAP, add this line to your /etc/nsswitch.conf:"
ewarn " sudoers: ldap files"
ewarn
fi
fi
if use prefix ; then
ewarn
ewarn "To use sudo, you need to change file ownership and permissions"
ewarn "with root privileges, as follows:"
ewarn
ewarn " # chown root:root ${EPREFIX}/usr/bin/sudo"
ewarn " # chown root:root ${EPREFIX}/usr/lib/sudo/sudoers.so"
ewarn " # chown root:root ${EPREFIX}/etc/sudoers"
ewarn " # chown root:root ${EPREFIX}/etc/sudoers.d"
ewarn " # chown root:root ${EPREFIX}/var/db/sudo"
ewarn " # chmod 4111 ${EPREFIX}/usr/bin/sudo"
ewarn
fi
elog "To use the -A (askpass) option, you need to install a compatible"
elog "password program from the following list. Starred packages will"
elog "automatically register for the use with sudo (but will not force"
elog "the -A option):"
elog ""
elog " [*] net-misc/ssh-askpass-fullscreen"
elog " net-misc/x11-ssh-askpass"
elog ""
elog "You can override the choice by setting the SUDO_ASKPASS environmnent"
elog "variable to the program you want to use."
}

Binary file not shown.

@ -12,7 +12,7 @@ if [[ ${PV} == "9999" ]] ; then
LIBMSPACK_DEPEND="~dev-libs/libmspack-9999:="
else
KEYWORDS="amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
MY_PV="${PV/_alpha/alpha}"
MY_P="${PN}-${MY_PV}"
SRC_URI="https://www.cabextract.org.uk/${P}.tar.gz"

Binary file not shown.

@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/bacula/${MY_P}.tar.gz"
LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="amd64 ~ppc ~sparc x86"
KEYWORDS="amd64 ppc ~sparc x86"
IUSE="acl bacula-clientonly bacula-nodir bacula-nosd examples ipv6 libressl logwatch mysql postgres qt5 readline +sqlite ssl static tcpd vim-syntax X"
DEPEND="

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -20,7 +20,7 @@ IUSE=""
src_prepare() {
epatch \
"${FILESDIR}"/${P}-flags.patch \
"${FILESDIR}"/01-variables.patch
"${FILESDIR}"/${P}-variables.patch
use amd64 && append-flags -m32 #65719
tc-export CC
}

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -13,7 +13,7 @@ KEYWORDS="-* ~amd64 ~arm ~x86"
LICENSE="GPL-2"
SLOT="0"
PATCHES=( "${FILESDIR}/01-variables.patch" )
PATCHES=( "${FILESDIR}/${P}-variables.patch" )
QA_FLAGS_IGNORED="usr/bin/burnBX
usr/bin/burnK6

@ -0,0 +1,59 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
MY_PV="${PV/./_}"
DESCRIPTION="CPU testing utilities in optimized assembler for maximum loading"
HOMEPAGE="https://downloads.bl4ckb0x.de/pages.sbcglobal.net/redelm/"
SRC_URI="https://downloads.bl4ckb0x.de/pages.sbcglobal.net/redelm/${PN}_${MY_PV}_tar.gz -> ${P}.tar.gz"
KEYWORDS="-* ~amd64 ~arm ~x86"
LICENSE="GPL-2"
SLOT="0"
PATCHES=( "${FILESDIR}/${P}-variables.patch" )
QA_FLAGS_IGNORED="
usr/bin/burnBX
usr/bin/burnK6
usr/bin/burnK7
usr/bin/burnMMX
usr/bin/burnP5
usr/bin/burnP6
"
QA_TEXTRELS="${QA_FLAGS_IGNORED}"
src_prepare() {
default
# Respect users compiler and users CFLAGS and LDFLAGS on x86/amd64
# Must be always compiled in 32-bit on amd64 arch
# See https://bugs.gentoo.org/65719
sed -i -e 's/gcc -s/$(CC) $(CFLAGS) -m32 $(LDFLAGS)/' Makefile || die
# Respect users compiler, CFLAGS and LDFLAGS on arm
sed -i -e '/CC :=/d' -e 's/^.*-mfloat-abi=softfp/ $(CC) $(CFLAGS) -nostdlib $(LDFLAGS)/' ARM/Makefile || die
}
src_compile() {
if use arm; then
cd "${S}"/ARM || die
fi
default
}
src_install() {
if use arm; then
dobin ARM/burnCortexA8 ARM/burnCortexA9
local DOCS=( "ARM/Design" "README" )
else
dobin burnBX burnK6 burnK7 burnMMX burnP5 burnP6
local DOCS=( "Design" "README" )
fi
einstalldocs
}

Binary file not shown.

@ -9,7 +9,7 @@ SRC_URI="http://www.jabberwocky.com/software/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 x86 ~x64-macos"
KEYWORDS="amd64 x86 ~x64-macos"
IUSE=""
DOCS="README"

@ -1,3 +1,4 @@
DIST VeraCrypt_1.19.tar.gz 23235780 BLAKE2B 0d02b3c6783d233f7cc64956eef58077e8a125fd5db28c1374921d8f2ca6dc9e1cde5402917c1ed4e4a626901e24c566ee834a12e41b6bcd150b8d64851f1ebc SHA512 ebce681099e04d938ff0dc10a1af848c82dafd80b165b2431ec355d64e29be4e60d1d63f0d5c9fd1182394080d00f0f573e3ae90f3e2167533dea2b895bd0164
DIST VeraCrypt_1.21.tar.gz 24106162 BLAKE2B 5afe48830bde81d91d16f0bdf16010bdbdb885df84b9cd3e48191e468be51a485dfb3fc4f95da71d6d973a2f22dfbb92ee2b912dcf019921b37e1d4479c8c8d8 SHA512 5186d339f8fb0d88acfc35b1e7a916f797e30be93e8f252cca542b6d5c1cd916110111ef7b859d66b1790ce05d7d02bc72def26857eb003ea114a911fcec6c41
DIST VeraCrypt_1.22.tar.gz 24820384 BLAKE2B 52fb822d07af96a9f47c17f8aacf13a949fb5a7c5d064a720e003e6d1bfbb5f221a5823720527e1f2c82f08547d77349cc90bc839336a622efcf1836dd97bb88 SHA512 83cdaf673bc9cdeadeb70b2beeabf87a2a9a65d3b0b0cc7fdf9c87671714af1e207ddd1db716302919e2d14414f5d4dd9d8f5203847d72834f53544a04c1a62a
DIST VeraCrypt_1.23.tar.gz 24941166 BLAKE2B f9760342678f771192434f88a9b6c3bcc348ef312197232346731f51e972c230a4627f92fd655f7a3c7582b1f728274b7f170f885cceadce6ad53c9b404cd8d6 SHA512 433e717403560fc4f9081f528168f346ed7f14f9621b78a176c6801f14caba3d57e3228b940fb746637de29893f278ade650cf5eca63490bc236987a9db4d48d

@ -0,0 +1,96 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils linux-info pax-utils toolchain-funcs wxwidgets
DESCRIPTION="Disk encryption with strong security based on TrueCrypt"
HOMEPAGE="https://www.veracrypt.fr/en/Home.html"
SRC_URI="https://github.com/${PN}/VeraCrypt/archive/VeraCrypt_${PV}.tar.gz"
LICENSE="Apache-2.0 truecrypt-3.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+asm cpu_flags_x86_sse2 cpu_flags_x86_sse4_1 cpu_flags_x86_ssse3 doc X"
RESTRICT="bindist mirror"
WX_GTK_VER="3.0"
RDEPEND="
sys-fs/lvm2
sys-fs/fuse:0
x11-libs/wxGTK:${WX_GTK_VER}[X?]
app-admin/sudo
dev-libs/pkcs11-helper
"
DEPEND="
${RDEPEND}
virtual/pkgconfig
asm? ( dev-lang/yasm )
"
S="${WORKDIR}/VeraCrypt-VeraCrypt_${PV}/src"
pkg_setup() {
local CONFIG_CHECK="~BLK_DEV_DM ~CRYPTO ~CRYPTO_XTS ~DM_CRYPT ~FUSE_FS"
linux-info_pkg_setup
setup-wxwidgets
}
src_compile() {
local myemakeargs=(
NOSTRIP=1
NOTEST=1
VERBOSE=1
CC="$(tc-getCC)"
CXX="$(tc-getCXX)"
AR="$(tc-getAR)"
RANLIB="$(tc-getRANLIB)"
TC_EXTRA_CFLAGS="${CFLAGS}"
TC_EXTRA_CXXFLAGS="${CXXFLAGS}"
TC_EXTRA_LFLAGS="${LDFLAGS}"
WX_CONFIG="${WX_CONFIG}"
$(usex X "" "NOGUI=1")
$(usex asm "" "NOASM=1")
$(usex cpu_flags_x86_sse2 "" "NOSSE2=1")
$(usex cpu_flags_x86_sse4_1 "SSE41=1" "")
$(usex cpu_flags_x86_ssse3 "SSSE3=1" "")
)
emake "${myemakeargs[@]}"
}
src_test() {
"${S}/Main/veracrypt" --text --test || die "tests failed"
}
src_install() {
local DOCS=( Readme.txt )
local HTML_DOCS=( )
dobin Main/veracrypt
if use doc; then
DOCS+=( "${S}"/../doc/EFI-DCS )
docompress -x "/usr/share/doc/${PF}/EFI-DCS"
HTML_DOCS+=( "${S}"/../doc/html/. )
fi
einstalldocs
newinitd "${FILESDIR}/${PN}.init" ${PN}
if use X; then
local s
for s in 16 48 128 256; do
newicon -s ${s} Resources/Icons/VeraCrypt-${s}x${s}.xpm veracrypt.xpm
done
make_desktop_entry ${PN} "VeraCrypt" ${PN} "Utility;Security"
fi
pax-mark -m "${D%/}/usr/bin/veracrypt"
}
pkg_postinst() {
ewarn "VeraCrypt has a very restrictive license. Please be explicitly aware"
ewarn "of the limitations on redistribution of binaries or modified source."
}

Binary file not shown.

@ -1 +1,2 @@
DIST aspell6-es-1.11-2.tar.bz2 154787 BLAKE2B cc035b4f9c6b12c90b7112ad414ee3f28c00554179e9e88d79ceb06e14edbb891a3d2f7d2b3a70945651ceccecc4250e8e1f187cb75e1f6bdbe653e278a54140 SHA512 5d0159f24d6bff43db682a4beb25e82dd362c205acf7c9e0d728808c0e54a8a566befe26316f384099c72e6c429713f8ad7d2dc66a8f04a15e1d5a9cfe2290d8
DIST aspell6-es-1.9a-1.tar.bz2 132542 BLAKE2B df33c5c38633573b1616c480c2df4b53bd1b6afc6d749f558c22d56482df9977cc5aa366a0e9a7b5b1bdfc12b92bf4e38957e23b3bf8dca38b0dfe00824ff365 SHA512 7ea228104231a4af395787da41eb14f27b6b864f1512c9ccb72b5f19b4327a0e4ccc37fdc31085b33da83a0b3b45bfe608f0a1361da8297dff2bcd96096f4c06

@ -0,0 +1,18 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
ASPELL_LANG="Spanish"
ASPELL_VERSION=6
inherit aspell-dict-r1
MY_P=aspell6-es-${PV/_p/-}
SRC_URI="mirror://gnu/aspell/dict/${ASPELL_SPELLANG}/${MY_P}.tar.bz2"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""
S=${WORKDIR}/${MY_P}

@ -1,5 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<maintainer type="person">
<email>pabloorduna98@gmail.com</email>
<name>Pablo Orduna</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Gentoo Proxy Maintainers Project</name>
</maintainer>
</pkgmetadata>

Binary file not shown.

@ -10,7 +10,7 @@ inherit kde5
if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
fi
DESCRIPTION="Hex editor by KDE"

Binary file not shown.

@ -0,0 +1,3 @@
DIST cri-tools-1.0.0_alpha1.tar.gz 2727719 BLAKE2B 6c413aff111ce279e86f1036c3efd0c98901ed42bce482b3877cec58a55958a80305c013b6e515dbb84ff3d8def41156b81a0749ce606fd3806a7fae3fc445f0 SHA512 e0fe6171ac1b1649be667b2924a1b163810fe18c51fb9c3fe363b381feb889d18872f8077e267a147058481f799a35f6a0b5f8d285215e216ee771d7ea74f66a
DIST cri-tools-1.0.0_beta2.tar.gz 2417018 BLAKE2B 06dc5675c339fb26fce92c3ca05f855da754a452b25554ab84da0b6528b56c01005a625a06ead9a0f1e51e3fee96b54865990927fc312efa96167f8a5ebe94f1 SHA512 f0aadf8659ae1731945c8403d5a6d30bb9ed1e2ebf1a1045541087652a0d7a45b35fea5346cbec37903425634d7f65ccd852b56a7db93f6bbf9c91ae4899f107
DIST cri-tools-1.12.0.tar.gz 2608498 BLAKE2B 242e689ec69081838afe36b86e3f802e4ff3bfd50461026a8637dd777b8996d9e153fbab103c98fc5ad8bd82c4da52413ab4698f95db8f1c0fa7e825e8dd80f7 SHA512 394269515ac80dd2b995b20220b03e03bad8bbfa25cea8979777ab75830a0523f0945553ba5d3f7a900eabe9ccf67ebf5789627b46640a2fc46193aff101ba20

@ -0,0 +1,29 @@
# Copyright 2018 Sony Interactive Entertainment Inc.
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit golang-build golang-vcs-snapshot
EGO_PN="github.com/kubernetes-sigs/cri-tools"
MY_PV="v${PV/_alpha/-alpha.}"
ARCHIVE_URI="https://${EGO_PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
DESCRIPTION="CLI and validation tools for Kubelet Container Runtime (CRI)"
HOMEPAGE="https://github.com/kubernetes-sigs/cri-tools"
SRC_URI="${ARCHIVE_URI}"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
RESTRICT="test"
src_compile() {
GOPATH="${S}" go test -c -v -ldflags="-X ${EGO_PN}/pkg/version.Version=${MY_PV}" -o bin/critest ${EGO_PN}/cmd/critest || die
GOPATH="${S}" go build -v -ldflags="-X ${EGO_PN}/pkg/version.Version=${MY_PV}" -o bin/crictl ${EGO_PN}/cmd/crictl || die
}
src_install() {
dobin bin/*
dodoc -r src/${EGO_PN}/{docs,{README,RELEASE,CHANGELOG,CONTRIBUTING}.md}
}

@ -0,0 +1,29 @@
# Copyright 2018 Sony Interactive Entertainment Inc.
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit golang-build golang-vcs-snapshot
EGO_PN="github.com/kubernetes-sigs/cri-tools"
MY_PV="v${PV/_beta/-beta.}"
ARCHIVE_URI="https://${EGO_PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
DESCRIPTION="CLI and validation tools for Kubelet Container Runtime (CRI)"
HOMEPAGE="https://github.com/kubernetes-sigs/cri-tools"
SRC_URI="${ARCHIVE_URI}"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
RESTRICT="test"
src_compile() {
GOPATH="${S}" go test -c -v -ldflags="-X ${EGO_PN}/pkg/version.Version=${MY_PV}" -o bin/critest ${EGO_PN}/cmd/critest || die
GOPATH="${S}" go build -v -ldflags="-X ${EGO_PN}/pkg/version.Version=${MY_PV}" -o bin/crictl ${EGO_PN}/cmd/crictl || die
}
src_install() {
dobin bin/*
dodoc -r src/${EGO_PN}/{docs,{README,RELEASE,CHANGELOG,CONTRIBUTING}.md}
}

@ -0,0 +1,29 @@
# Copyright 2018 Sony Interactive Entertainment Inc.
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit golang-build golang-vcs-snapshot
EGO_PN="github.com/kubernetes-sigs/cri-tools"
MY_PV="v${PV/_beta/-beta.}"
ARCHIVE_URI="https://${EGO_PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
DESCRIPTION="CLI and validation tools for Kubelet Container Runtime (CRI)"
HOMEPAGE="https://github.com/kubernetes-sigs/cri-tools"
SRC_URI="${ARCHIVE_URI}"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
RESTRICT="test"
src_compile() {
GOPATH="${S}" go test -c -v -ldflags="-X ${EGO_PN}/pkg/version.Version=${MY_PV}" -o bin/critest ${EGO_PN}/cmd/critest || die
GOPATH="${S}" go build -v -ldflags="-X ${EGO_PN}/pkg/version.Version=${MY_PV}" -o bin/crictl ${EGO_PN}/cmd/crictl || die
}
src_install() {
dobin bin/*
dodoc -r src/${EGO_PN}/{docs,{README,RELEASE,CHANGELOG,CONTRIBUTING}.md}
}

@ -0,0 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>mrueg@gentoo.org</email>
<name>Manuel Rüger</name>
</maintainer>
<upstream>
<remote-id type="github">kubernetes-sigs/cri-tools</remote-id>
</upstream>
</pkgmetadata>

Binary file not shown.

@ -1 +1,2 @@
DIST eselect-postgresql-2.3.tbz2 4526 BLAKE2B 226f2be462d54d835cc884f6b2c33e0f84d4500e19251fb6794929901ec033e0fa457d8606e36ada462d538674110ba8aab901ca9f86dccd52ccf9c860ba5ce1 SHA512 d7f87aa3e21c5e35f3a6879bdfb9404a2884f761463f77952f21c522b1605f191385ba7b4758548b121ad7eb56d395163e0d6bba57df446be515e6d7163635b4
DIST eselect-postgresql-2.4.tbz2 4518 BLAKE2B 726c59f0511b2e27493cceb9b9a7b3c58e7d7bb0cba2fef705eef9190ef384c3116c42079566d8761192b9c288ef57c550f659a0398ba90fa069f6be335550ff SHA512 4eed12905e97a45420a299cc9232be62a1ac88257a047d9d16ef7d8c8a0e0ddbd4177415797defe352cc82cd87b7777907a51a8cadfdb28064faa78a28e0099d

@ -0,0 +1,34 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="Utility to select the default PostgreSQL slot"
HOMEPAGE="https://www.gentoo.org/"
SRC_URI="https://dev.gentoo.org/~titanofold/${P}.tbz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
RDEPEND="app-admin/eselect"
# All dev-db/postgresql ebuilds from 10.0 on are well supported. Earlier
# ebuilds may present some quality of life issues.
PDEPEND="
!<dev-db/postgresql-9.6.2-r1:9.6
!<dev-db/postgresql-9.5.6-r1:9.5
!<dev-db/postgresql-9.4.11-r1:9.4
!<dev-db/postgresql-9.3.16-r1:9.3
!<dev-db/postgresql-9.2.20-r1
"
src_install() {
insinto /usr/share/eselect/modules
doins postgresql.eselect
dosym eselect /usr/bin/postgresql-config
}
pkg_postinst() {
postgresql-config update
}

Binary file not shown.

@ -13,7 +13,7 @@ SRC_URI="http://ftp.midnight-commander.org/${MY_P}.tar.xz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
IUSE="+edit gpm mclib nls samba sftp +slang spell test X +xdg"
REQUIRED_USE="spell? ( edit )"

@ -13,7 +13,7 @@ SRC_URI="http://ftp.midnight-commander.org/${MY_P}.tar.xz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
IUSE="+edit gpm mclib nls samba sftp +slang spell test unicode X +xdg"
REQUIRED_USE="spell? ( edit )"

@ -13,7 +13,7 @@ SRC_URI="http://ftp.midnight-commander.org/${MY_P}.tar.xz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
IUSE="+edit gpm mclib nls samba sftp +slang spell test unicode X +xdg"
REQUIRED_USE="spell? ( edit )"

@ -15,7 +15,7 @@ MY_P=${P/_/-}
if [[ -z ${LIVE_EBUILD} ]]; then
SRC_URI="http://ftp.midnight-commander.org/${MY_P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
fi
DESCRIPTION="GNU Midnight Commander is a text based file manager"

Binary file not shown.

@ -15,7 +15,7 @@ HOMEPAGE="http://www.mulliner.org/bluetooth/sobexsrv.php"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="amd64 ~ppc x86"
KEYWORDS="amd64 ppc x86"
IUSE="gtk"
DEPEND="

Binary file not shown.

@ -1,2 +0,0 @@
DIST openerp-7.0-20140125-002455.tar.gz 64214375 BLAKE2B 75d7e4294d243f2e02cd04b318fe2492fb553540604bd6ebb246299846d952530e13b847beb4c5e4e7859a714c35ca4a9a5801f7193bd0e4096fccb5d1fe94bf SHA512 a923fe3240cf44f6384f18bd37853d15fe132aab97494e713f095253cd4b72d32a89e33ba3623a523b81b9863da6d5bca24c4020b20829975e4185d6e5093b3e
DIST openerp-8.0dev-20140125-000101.tar.gz 82648176 BLAKE2B a483bce41eb464ecb49a8f9572492871c649cd75075ea35ed24afeb14a2dec7c4a9232c6c072f42ff77fe878033a89f67b118bece76c95a1a101bcb80a9c1050 SHA512 560f0cd9aadfb010dfba1a114ca17ed8dc7b63fffdd93325811b87530e97a8e629c46442e777bd0c53fb38b1a985e769e3fb5f5edf66b9b45f21be3e8973aedd

@ -1,22 +0,0 @@
#!/sbin/openrc-run
# Additional options that are passed to the daemon.
DAEMON_OPTS="-c ${CONFIGFILE}"
depend() {
after postgresql
}
start() {
ebegin "Starting openerp server"
start-stop-daemon --start --quiet --pidfile "${PIDFILE}" --exec /usr/bin/openerp-server \
--make-pidfile --user "${USER}" --background -- ${DAEMON_OPTS}
eend $?
}
stop() {
ebegin "Stopping openerp server"
start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" --signal 9
rm -f "${PIDFILE}"
eend $?
}

@ -1,23 +0,0 @@
#!/sbin/openrc-run
# Additional options that are passed to the daemon.
DAEMON_OPTS="-c ${CONFIGFILE}"
depend() {
after postgresql
}
start() {
checkpath -q -d -m 0755 -o openerp:openerp /run/openerp
ebegin "Starting openerp server"
start-stop-daemon --start --quiet --pidfile "${PIDFILE}" --exec /usr/bin/openerp-server \
--make-pidfile --user "${USER}" --background -- ${DAEMON_OPTS}
eend $?
}
stop() {
ebegin "Stopping openerp server"
start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" --signal 9
rm -f "${PIDFILE}"
eend $?
}

@ -1,3 +0,0 @@
USER="openerp"
CONFIGFILE="/etc/openerp/openerp.cfg"
PIDFILE="/var/run/openerp/openerp.pid"

@ -1,3 +0,0 @@
USER="openerp"
CONFIGFILE="/etc/openerp/openerp.cfg"
PIDFILE="/run/openerp/openerp.pid"

@ -1,64 +0,0 @@
[options]
# General options:
admin_passwd = admin
pidfile = /var/run/openerp/openerp-server.pid
interface =
port = 8069
netinterface =
netport = 8070
netrpc = True
xmlrpc = True
init =
without_demo = False
demo = {}
update =
cache_timeout = 100000
stop_after_init = False
debug_mode = False
assert_exit_level = warn
price_accuracy = 2
# SSL Configuration:
secure = False
secure_cert_file = server.cert
secure_pkey_file = server.pkey
# Logging Configuration:
logfile = /var/log/openerp/openerp-server.log
syslog = False
log_level = debug
# SMTP Configuration:
email_from = False
smtp = localhost
smtp_port = 25
smtp_ssl = False
smtp_user = False
smtp_password = False
# pg_path points at local pg instance - please change as needed
# Database related options:
db_user = openerp
db_password = change_this
pg_path = /run/postgresql/.s.PGSQL.5432
db_name = False
db_host = False
db_port = False
db_maxconn = 64
import_partial =
# Internationalisation options:
language =
translate_out =
translate_in =
translate_modules = ['all']
# Security-related options:
list_db = True
server_actions_allow_code = False

@ -1,65 +0,0 @@
[options]
# General options:
admin_passwd = admin
pidfile = /run/openerp/openerp-server.pid
interface =
port = 8069
netinterface =
netport = 8070
netrpc = True
xmlrpc = True
init =
without_demo = False
demo = {}
update =
cache_timeout = 100000
stop_after_init = False
debug_mode = False
assert_exit_level = warn
price_accuracy = 2
# SSL Configuration:
secure = False
secure_cert_file = server.cert
secure_pkey_file = server.pkey
# Logging Configuration:
logfile = /var/log/openerp/openerp-server.log
syslog = False
log_level = debug
# SMTP Configuration:
email_from = False
smtp = localhost
smtp_port = 25
smtp_ssl = False
smtp_user = False
smtp_password = False
# pg_path points at local pg instance - please change as needed
# Database related options:
db_user = openerp
db_password = change_this
pg_path = /run/postgresql/.s.PGSQL.5432
db_name = False
db_host = False
db_port = False
db_maxconn = 64
import_partial =
# Internationalisation options:
language =
translate_out =
translate_in =
translate_modules = ['all']
# Security-related options:
list_db = True
server_actions_allow_code = False
addons_path = /usr/openerp/addons

@ -1,9 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
/var/log/openerp/*.log {
monthly
create 660 openerp openerp
missingok
copytruncate
}

@ -1,8 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>dlan@gentoo.org</email>
<name>Yixun Lan</name>
</maintainer>
</pkgmetadata>

@ -1,119 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
PYTHON_COMPAT=( python2_7 )
DISTUTILS_SINGLE_IMPL=1
inherit eutils distutils-r1 user
DESCRIPTION="Open Source ERP & CRM"
HOMEPAGE="http://www.openerp.com/"
MY_PV=${PV/7.0./7.0-}
FNAME="${PN}-${MY_PV}-002455"
SRC_URI="http://nightly.openerp.com/7.0/nightly/src/${FNAME}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="+postgres ldap ssl"
CDEPEND="!app-office/openerp-web
postgres? ( dev-db/postgresql[server] )
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/lxml[${PYTHON_USEDEP}]
dev-python/psycopg:2[${PYTHON_USEDEP}]
dev-python/pychart[${PYTHON_USEDEP}]
dev-python/pyparsing[${PYTHON_USEDEP}]
dev-python/reportlab[${PYTHON_USEDEP}]
dev-python/simplejson[${PYTHON_USEDEP}]
dev-python/pydot[${PYTHON_USEDEP}]
dev-python/vobject[${PYTHON_USEDEP}]
dev-python/mako[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/Babel[${PYTHON_USEDEP}]
dev-python/gdata[${PYTHON_USEDEP}]
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
dev-python/python-openid[${PYTHON_USEDEP}]
dev-python/werkzeug[${PYTHON_USEDEP}]
dev-python/xlwt[${PYTHON_USEDEP}]
dev-python/feedparser[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
dev-python/pywebdav[${PYTHON_USEDEP}]
ssl? ( dev-python/pyopenssl[${PYTHON_USEDEP}] )
dev-python/vatnumber[${PYTHON_USEDEP}]
dev-python/zsi[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/pillow[jpeg(+),${PYTHON_USEDEP}]
${PYTHON_DEPS}
"
RDEPEND="${CDEPEND}"
DEPEND="${CDEPEND}"
OPENERP_USER="openerp"
OPENERP_GROUP="openerp"
S="${WORKDIR}/${FNAME}"
python_install_all() {
distutils-r1_python_install_all
newinitd "${FILESDIR}/${PN}-2" "${PN}"
newconfd "${FILESDIR}/openerp-confd-2" "${PN}"
keepdir /var/log/openerp
insinto /etc/logrotate.d
newins "${FILESDIR}"/openerp.logrotate openerp
dodir /etc/openerp
insinto /etc/openerp
newins "${FILESDIR}"/openerp.cfg.2 openerp.cfg
# #453424 Fix error on /usr/openerp/import_xml.rng
dosym /usr/${PN}/import_xml.rng $(python_get_sitedir)/${PN}/import_xml.rng
# #453424 Fix error on /usr/openerp/addons/base/res/res_company_logo.png
dosym /usr/${PN}/addons/base/res/res_company_logo.png $(python_get_sitedir)/${PN}/addons/base/res/res_company_logo.png
}
pkg_preinst() {
enewgroup ${OPENERP_GROUP}
enewuser ${OPENERP_USER} -1 -1 -1 ${OPENERP_GROUP}
fowners -R ${OPENERP_USER}:${OPENERP_GROUP} /etc/openerp
fowners ${OPENERP_USER}:${OPENERP_GROUP} /var/log/openerp
fowners -R ${OPENERP_USER}:${OPENERP_GROUP} "$(python_get_sitedir)/${PN}/addons/"
fperms 0640 /etc/openerp/openerp.cfg
use postgres || sed -i '6,8d' "${D}/etc/init.d/openerp" || die "sed failed"
}
pkg_postinst() {
chown -R ${OPENERP_USER}:${OPENERP_GROUP} /etc/openerp
chown ${OPENERP_USER}:${OPENERP_GROUP} /var/log/openerp
chown -R ${OPENERP_USER}:${OPENERP_GROUP} "$(python_get_sitedir)/${PN}/addons/"
elog "In order to setup the initial database, run:"
elog " emerge --config =${CATEGORY}/${PF}"
elog "Be sure the database is started before"
}
psqlquery() {
psql -q -At -U postgres -d template1 -c "$@"
}
pkg_config() {
einfo "In the following, the 'postgres' user will be used."
if ! psqlquery "SELECT usename FROM pg_user WHERE usename = '${OPENERP_USER}'" | grep -q ${OPENERP_USER}; then
ebegin "Creating database user ${OPENERP_USER}"
createuser --username=postgres --createdb --no-adduser ${OPENERP_USER}
eend $? || die "Failed to create database user"
fi
}

@ -1,119 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
PYTHON_COMPAT=( python2_7 )
DISTUTILS_SINGLE_IMPL=1
inherit eutils distutils-r1 user
DESCRIPTION="Open Source ERP & CRM"
HOMEPAGE="http://www.openerp.com/"
MY_PV=${PV/8.0./8.0dev-}
FNAME="${PN}-${MY_PV}-000101"
SRC_URI="http://nightly.openerp.com/trunk/nightly/src/${FNAME}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
IUSE="+postgres ldap ssl"
CDEPEND="!app-office/openerp-web
postgres? ( dev-db/postgresql[server] )
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/lxml[${PYTHON_USEDEP}]
dev-python/psycopg:2[${PYTHON_USEDEP}]
dev-python/pychart[${PYTHON_USEDEP}]
dev-python/pyparsing[${PYTHON_USEDEP}]
dev-python/reportlab[${PYTHON_USEDEP}]
dev-python/simplejson[${PYTHON_USEDEP}]
dev-python/pydot[${PYTHON_USEDEP}]
dev-python/vobject[${PYTHON_USEDEP}]
dev-python/mako[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/Babel[${PYTHON_USEDEP}]
dev-python/gdata[${PYTHON_USEDEP}]
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
dev-python/python-openid[${PYTHON_USEDEP}]
dev-python/werkzeug[${PYTHON_USEDEP}]
dev-python/xlwt[${PYTHON_USEDEP}]
dev-python/feedparser[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
dev-python/pywebdav[${PYTHON_USEDEP}]
ssl? ( dev-python/pyopenssl[${PYTHON_USEDEP}] )
dev-python/vatnumber[${PYTHON_USEDEP}]
dev-python/zsi[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/pillow[jpeg(+),${PYTHON_USEDEP}]
${PYTHON_DEPS}
"
RDEPEND="${CDEPEND}"
DEPEND="${CDEPEND}"
OPENERP_USER="openerp"
OPENERP_GROUP="openerp"
S="${WORKDIR}/${FNAME}"
python_install_all() {
distutils-r1_python_install_all
newinitd "${FILESDIR}/${PN}-2" "${PN}"
newconfd "${FILESDIR}/openerp-confd-2" "${PN}"
keepdir /var/log/openerp
insinto /etc/logrotate.d
newins "${FILESDIR}"/openerp.logrotate openerp
dodir /etc/openerp
insinto /etc/openerp
newins "${FILESDIR}"/openerp.cfg.2 openerp.cfg
# #453424 Fix error on /usr/openerp/import_xml.rng
dosym /usr/${PN}/import_xml.rng $(python_get_sitedir)/${PN}/import_xml.rng
# #453424 Fix error on /usr/openerp/addons/base/res/res_company_logo.png
dosym /usr/${PN}/addons/base/res/res_company_logo.png $(python_get_sitedir)/${PN}/addons/base/res/res_company_logo.png
}
pkg_preinst() {
enewgroup ${OPENERP_GROUP}
enewuser ${OPENERP_USER} -1 -1 -1 ${OPENERP_GROUP}
fowners -R ${OPENERP_USER}:${OPENERP_GROUP} /etc/openerp
fowners ${OPENERP_USER}:${OPENERP_GROUP} /var/log/openerp
fowners -R ${OPENERP_USER}:${OPENERP_GROUP} "$(python_get_sitedir)/${PN}/addons/"
fperms 0640 /etc/openerp/openerp.cfg
use postgres || sed -i '6,8d' "${D}/etc/init.d/openerp" || die "sed failed"
}
pkg_postinst() {
chown -R ${OPENERP_USER}:${OPENERP_GROUP} /etc/openerp
chown ${OPENERP_USER}:${OPENERP_GROUP} /var/log/openerp
chown -R ${OPENERP_USER}:${OPENERP_GROUP} "$(python_get_sitedir)/${PN}/addons/"
elog "In order to setup the initial database, run:"
elog " emerge --config =${CATEGORY}/${PF}"
elog "Be sure the database is started before"
}
psqlquery() {
psql -q -At -U postgres -d template1 -c "$@"
}
pkg_config() {
einfo "In the following, the 'postgres' user will be used."
if ! psqlquery "SELECT usename FROM pg_user WHERE usename = '${OPENERP_USER}'" | grep -q ${OPENERP_USER}; then
ebegin "Creating database user ${OPENERP_USER}"
createuser --username=postgres --createdb --no-adduser ${OPENERP_USER}
eend $? || die "Failed to create database user"
fi
}

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -13,7 +13,7 @@ HOMEPAGE="https://skrooge.org/"
[[ ${PV} == 9999 ]] || SRC_URI="mirror://kde/stable/${PN}/${P}.tar.xz"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="activities designer kde ofx"
COMMON_DEPEND="

Binary file not shown.

@ -17,7 +17,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.oxt"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE=""
DEPEND=""

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="LGPL-3+ Texinfo-manual"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="truetype test"
RDEPEND="

@ -10,7 +10,7 @@ S="${WORKDIR}/xapian-omega-${PV}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ppc ppc64 ~sparc ~x86"
IUSE=""
DEPEND="dev-libs/xapian:0/1.2.22

@ -10,7 +10,7 @@ S="${WORKDIR}/xapian-omega-${PV}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ppc ppc64 ~sparc ~x86"
IUSE=""
DEPEND="dev-libs/xapian:0/30

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~hppa x86"
KEYWORDS="amd64 ~hppa x86"
RDEPEND=">=app-editors/xemacs-21.4.20-r5
app-xemacs/sh-script"

Binary file not shown.

@ -1,85 +0,0 @@
<?xml version="1.0" ?>
<gprconfig>
<compiler_description>
<name>GNAT-@VER@</name>
<executable prefix="1">gnatls-@VER@</executable>
<version>
<external>${PREFIX}gnatls-@VER@ -v --version</external>
<grep regexp="^GNATLS.+?(\d+(\.\d+)?)" group="1"></grep>
</version>
<languages>Ada</languages>
<variable name="gcc_version">
<external>${PREFIX}gcc-@VER@ -v</external>
<grep regexp="^[-\w]*gcc \S+ (\S+)" group="1"></grep>
</variable>
<runtimes default="default,kernel,native">
<directory group="default" >\.\./lib/gcc(-lib)?/$TARGET/$gcc_version/adalib/</directory>
<directory group="default" contents="^rts-">\.\./lib/gcc(-lib)?/$TARGET/$gcc_version/ada_object_path</directory>
<directory group="2" >\.\./lib/gcc(-lib)?/$TARGET/$gcc_version/rts-(.*)/adalib/</directory>
<directory group="1" >\.\./$TARGET/lib/gnat/(.*)/adalib/</directory>
</runtimes>
<target>
<external>${PREFIX}gcc-@VER@ -dumpmachine</external>
<grep regexp="[^\r\n]+"></grep>
</target>
</compiler_description>
<configuration>
<compilers>
<compiler name="GNAT-@VER@" />
</compilers>
<config>
package Compiler is
for Driver ("Ada") use "${PATH(ada)}${PREFIX(ada)}gcc-@VER@";
for Language_Kind ("Ada") use "unit_based";
for Dependency_Kind ("Ada") use "ALI_File";
for Leading_Required_Switches ("Ada") use
("-c", "-x", "ada", "-gnatA")
&amp; Compiler'Leading_Required_Switches ("Ada");
for Mapping_File_Switches ("Ada") use ("-gnatem=");
for Mapping_Spec_Suffix ("Ada") use "%s";
for Mapping_Body_Suffix ("Ada") use "%b";
for Config_File_Switches ("Ada") use ("-gnatec=");
for Include_Path_File ("Ada") use "ADA_PRJ_INCLUDE_FILE";
for Multi_Unit_Switches ("Ada") use ("-gnateI");
for Multi_Unit_Object_Separator ("Ada") use "~";
for Config_Body_File_Name ("Ada") use
"pragma Source_File_Name_Project (%u, Body_File_Name => ""%f"");";
for Config_Spec_File_Name ("Ada") use
"pragma Source_File_Name_Project (%u, Spec_File_Name => ""%f"");";
for Config_Body_File_Name_Index ("Ada") use
"pragma Source_File_Name_Project (%u, Body_File_Name => ""%f"", Index => %i);";
for Config_Spec_File_Name_Index ("Ada") use
"pragma Source_File_Name_Project (%u, Spec_File_Name => ""%f"", Index => %i);";
for Config_Body_File_Name_Pattern ("Ada") use
"pragma Source_File_Name_Project " &amp;
" (Body_File_Name => ""*%b""," &amp;
" Casing => %c," &amp;
" Dot_Replacement => ""%d"");";
for Config_Spec_File_Name_Pattern ("Ada") use
"pragma Source_File_Name_Project " &amp;
" (Spec_File_Name => ""*%s""," &amp;
" Casing => %c," &amp;
" Dot_Replacement => ""%d"");";
for Config_File_Unique ("Ada") use "False";
for PIC_Option ("Ada") use ("-fPIC");
for Leading_Required_Switches ("Ada") use
Compiler'Leading_Required_Switches ("Ada") &amp; ("--RTS=${RUNTIME_DIR(ada)}");
end Compiler;
package Binder is
for Objects_Path_File ("Ada") use "ADA_PRJ_OBJECTS_FILE";
for Driver ("Ada") use
"${GPRCONFIG_PREFIX}libexec/gprbuild/gprbind";
for Switches ("Ada") use ("--gnatbind_path=gnatbind-@VER@");
for Required_Switches ("Ada") use
Binder'Required_Switches ("Ada") &amp; ("--RTS=${RUNTIME_DIR(ada)}");
end Binder;
for Toolchain_Version ("Ada") use "GNAT ${VERSION(ada)}";
for Runtime_Dir ("Ada") use "${RUNTIME_DIR(ada)}";
for Library_Encapsulated_Supported use "true";
</config>
</configuration>
</gprconfig>

@ -16,7 +16,7 @@ SRC_URI="
-> xmlada-gpl-${PV}-src.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="gnat_2016 +gnat_2017 gnat_2018"
DEPEND="gnat_2016? ( dev-lang/gnat-gpl:4.9.4 )

@ -1,81 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs multiprocessing
MYP=${PN}-gpl-${PV}
DESCRIPTION="Multi-Language Management"
HOMEPAGE="http://libre.adacore.com/"
SRC_URI="
http://mirrors.cdn.adacore.com/art/591c45e2c7a447af2deecff7
-> ${MYP}-src.tar.gz
http://mirrors.cdn.adacore.com/art/591aeb88c7a4473fcbb154f8
-> xmlada-gpl-${PV}-src.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="gnat_2016 +gnat_2017"
DEPEND="gnat_2016? ( dev-lang/gnat-gpl:4.9.4 )
gnat_2017? ( dev-lang/gnat-gpl:6.3.0 )"
RDEPEND="${DEPEND}"
S="${WORKDIR}"/${MYP}-src
REQUIRED_USE="^^ ( gnat_2016 gnat_2017 )"
PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
src_prepare() {
if use gnat_2016; then
GCC_PV=4.9.4
else
GCC_PV=6.3.0
fi
sed -e "s:@VER@:${GCC_PV}:g" "${FILESDIR}"/${P}.xml > gnat-${GCC_PV}.xml
default
sed -i \
-e "s:@GNATBIND@:gnatbind-${GCC_PV}:g" \
src/gprlib.adb \
|| die
}
src_configure() {
emake prefix="${D}"usr setup
}
bin_progs="gprbuild gprconfig gprclean gprinstall gprname gprls"
lib_progs="gprlib gprbind"
src_compile() {
GCC=${CHOST}-gcc-${GCC_PV}
GNATMAKE=${CHOST}-gnatmake-${GCC_PV}
local xmlada_src="../xmlada-gpl-${PV}-src"
incflags="-Isrc -Igpr/src -I${xmlada_src}/sax -I${xmlada_src}/dom \
-I${xmlada_src}/schema -I${xmlada_src}/unicode \
-I${xmlada_src}/input_sources"
${GCC} -c ${CFLAGS} gpr/src/gpr_imports.c -o gpr_imports.o || die
for bin in ${bin_progs}; do
${GNATMAKE} -j$(makeopts_jobs) ${incflags} $ADAFLAGS ${bin}-main \
-o ${bin} -largs gpr_imports.o || die
done
for lib in $lib_progs; do
${GNATMAKE} -j$(makeopts_jobs) ${incflags} ${lib} $ADAFLAGS \
-largs gpr_imports.o || die
done
}
src_install() {
dobin ${bin_progs}
exeinto /usr/libexec/gprbuild
doexe ${lib_progs}
insinto /usr/share/gprconfig
doins share/gprconfig/*
insinto /usr/share/gpr
doins share/_default.gpr
insinto /usr/share/gprconfig
doins gnat-${GCC_PV}.xml
einstalldocs
}

@ -16,7 +16,7 @@ SRC_URI="
-> xmlada-gpl-${PV}-src.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="gnat_2016 gnat_2017 +gnat_2018"
DEPEND="gnat_2016? ( dev-lang/gnat-gpl:4.9.4 )

@ -1,2 +1 @@
DIST xmlada-gpl-2017-src.tar.gz 1578393 BLAKE2B 7b4894040b6044e86c96cbd530ebda5c0cfc4ad0e2b472d46798a93f535aca0916b03385a3aef49bd4e59d508a9665c856360e9cab0a4f67b15091228b629d81 SHA512 371f6adc01550a4bb13204ec0404dc1165438db595f4346813e5a23a155de74c857c40c55adde173919c2fe35b3b91d78b235c9718ee86bc848e62ddfd7fa2b4
DIST xmlada-gpl-2018-src.tar.gz 1582215 BLAKE2B 11012dab19f45507eeb5ce6ebec9a77ceb5dfb7749960922f0f48bb1b0409305fd43466a7af90b48ff0a0cf58612e8859274a92e0fe272b4e57a59b92a1725f1 SHA512 8970c4e68defad66625c1110554dadfc485fbbe42e832987593cf727e98f13dd87c90b84461187dbbe2b1051831e6e70f9f53d6a0cfc07451726d601b2856430

@ -1,92 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit multiprocessing
MYP=${PN}-gpl-${PV}
DESCRIPTION="Set of modules that provide a simple manipulation of XML streams"
HOMEPAGE="http://libre.adacore.com/"
SRC_URI="http://mirrors.cdn.adacore.com/art/591aeb88c7a4473fcbb154f8 ->
${MYP}-src.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="gnat_2016 +gnat_2017 +shared static-libs static-pic"
REQUIRED_USE="|| ( shared static-libs static-pic )
^^ ( gnat_2016 gnat_2017 )"
RDEPEND="gnat_2016? ( dev-lang/gnat-gpl:4.9.4 )
gnat_2017? ( dev-lang/gnat-gpl:6.3.0 )"
DEPEND="${RDEPEND}
dev-ada/gprbuild[gnat_2016=,gnat_2017=]"
S="${WORKDIR}"/${MYP}-src
PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
src_configure () {
econf --prefix="${D}"/usr
}
src_compile () {
build () {
gprbuild -j$(makeopts_jobs) -m -p -v -XLIBRARY_TYPE=$1 \
-XBUILD=Production -XPROCESSORS=$(makeopts_jobs) xmlada.gpr \
-cargs ${ADAFLAGS} || die "gprbuild failed"
}
if use shared; then
build relocatable
fi
if use static-libs; then
build static
fi
if use static-pic; then
build static-pic
fi
}
src_test() {
emake test
emake run_test | grep DIFF && die
}
src_install () {
local includedir=/usr/include/${PN}
fix_install () {
mv "${D}"${includedir}/$1.$2/* "${D}"${includedir}/$1/ || die
for file in "${D}"${includedir}/$1/*; do
dosym ../$1/$(basename ${file}) \
${includedir}/$1.$2/$(basename ${file})
done
}
if use static-libs; then
emake PROCESSORS=$(makeopts_jobs) install-static
fi
for kind in shared static-pic; do
if use ${kind}; then
emake PROCESSORS=$(makeopts_jobs) install-${kind}
fi
done
rm "${D}"/usr/lib/libxmlada_* || die
for dir in xmlada_{dom,input,sax,schema,unicode}; do
dodir /usr/include/${PN}/${dir}
if use shared; then
fix_install ${dir} relocatable
fi
if use static-libs; then
fix_install ${dir} static
fi
if use static-pic; then
fix_install ${dir} static-pic
fi
done
einstalldocs
dodoc xmlada-roadmap.txt
rm "${D}"/usr/share/doc/${PN}/.buildinfo || die
}

@ -14,7 +14,7 @@ SRC_URI="http://mirrors.cdn.adacore.com/art/591aeb88c7a4473fcbb154f8 ->
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="gnat_2016 gnat_2017 +gnat_2018 +shared static-libs static-pic"
REQUIRED_USE="|| ( shared static-libs static-pic )
^^ ( gnat_2016 gnat_2017 gnat_2018 )"
@ -27,7 +27,7 @@ DEPEND="${RDEPEND}
S="${WORKDIR}"/${MYP}-src
PATCHES=( "${FILESDIR}"/${PN}-2017-gentoo.patch )
PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
src_configure () {
econf --prefix="${D}"/usr

Binary file not shown.

@ -12,7 +12,7 @@ DESCRIPTION="Database connectivity and creation framework for various vendors"
LICENSE="LGPL-2+"
SLOT="5/4"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="debug mysql postgres sqlite"
RDEPEND="

@ -10,7 +10,7 @@ SRC_URI="https://github.com/LMDB/lmdb/archive/LMDB_${PV}.tar.gz"
LICENSE="OPENLDAP"
SLOT="0/${PV}"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~sh ~sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="static-libs"
DEPEND=""

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -12,7 +12,7 @@ SRC_URI="https://github.com/processone/${PN}/archive/${PV}.tar.gz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~ia64 ~ppc ppc64 sparc x86"
KEYWORDS="alpha amd64 ~arm ~ia64 ppc ppc64 sparc x86"
DEPEND=">=dev-lang/erlang-17.1
sys-libs/pam"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -12,7 +12,7 @@ SRC_URI="https://github.com/processone/${PN}/archive/${PV}.tar.gz
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~ia64 ~ppc ppc64 sparc x86"
KEYWORDS="alpha amd64 ~arm ~ia64 ppc ppc64 sparc x86"
DEPEND=">=dev-lang/erlang-17.1"
RDEPEND="${DEPEND}"

Binary file not shown.

@ -4,3 +4,6 @@ DIST stack-1.5.1-linux-x86_64.tar.gz 11788896 BLAKE2B 379c31e6afe179e23cca928f9c
DIST stack-1.6.1-linux-arm.tar.gz 16560843 BLAKE2B 863e519ba19dd59dd08485b377e42e73554de1d548f4e26d4ebf175ca1cc06ed4b75c66bc798a88b5086eaa5e3552994c054edc29de760b5b477c3123f508df4 SHA512 4db9d962af8765ede290b5ebdb6c66a164f513ebfc05db715cd4dca70cad79846e17a48027ecce008939ecbf645d643f9497a4d53fe4d76a82ca94876a800fae
DIST stack-1.6.1-linux-i386.tar.gz 12623620 BLAKE2B 2db8c645ab6b8ff70a469c70cbf15d252c7d30d302c8dcc1f017129f297231e358a9764f188b03b7b914ba22a15339e72a6e639397879cd8a331ce44a047f112 SHA512 8f2998a6b2f9b4764f14520ecf0c02225513c4bda7d7442e97c5595bf09a6fc09c15a45de0d096a563b4a3705f4b2d1fbf6bf9b771db52991d61134319074642
DIST stack-1.6.1-linux-x86_64.tar.gz 12989288 BLAKE2B 44625d81410bd80ea0879e639a5b49d369939e3e3e01751061f25a5ce516ef3938e7b44f367be6851c77ae562a6846328bc9708a698b4417e5d215bffa584944 SHA512 dbd07448fa06e2020651be1dcdb39b383dfa6d207fbc9c63ac7744f3055416020fbe6b26203c43668fad01a8036237da84778057486b1edeec32f7eb66b2239e
DIST stack-1.7.1-linux-arm.tar.gz 15818359 BLAKE2B 3493a09f7685acfa7fe7930c2a33d24c36b74ed345a3877967154a5d48b1d65a19dfaea07b3d5db2e2cd23189eff64f5f2efb1777d5aac891c9d1254df431235 SHA512 aee7da80a8d061c5cc61ce33f138ccc14c4fa1a1f2e12f75fe0f0ef77afe1a33bc631eae4caacdb8c200793719655c588bd31a35a168480eb31bce89cd0e4db2
DIST stack-1.7.1-linux-i386.tar.gz 13600712 BLAKE2B 1f5f2278f609aa5405b4be9726d1bd657bd3e409cb716ec07d7716bd1db4625283df708d84f465fb5a028c4467678c26fa0fb302d7e88c7d66b4e8f366481541 SHA512 02eeee457e5d62fe16cd610272ac504d226b680b944e1ab0cf03781838518f3afb41f486abdf254a042f931177ab4ecf01141b0d1cf1787ea938df113a51e5c7
DIST stack-1.7.1-linux-x86_64.tar.gz 14025122 BLAKE2B ea7c62ef9c4dee85016ef6b1868da3aa51abac4ab1cafff2a15636d92d4ab8fc5d6bcf501bfb40db0bf5b80c791bef2d970e620a326547502821b44e2c93bf9d SHA512 5746548abbc06cc84bb053d236ce41319b5cacca75ac66507318670b9ebed51dcf891eabb74111cc4544c38f0d3716dfb6a02ba06019ddc6399b41d1378199c5

@ -0,0 +1,47 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="The Haskell Tool Stack (Binary)"
HOMEPAGE="https://github.com/commercialhaskell/stack"
uri() {
echo "https://github.com/commercialhaskell/stack/releases/download/v${PV}/stack-${PV}-linux-$1.tar.gz"
}
SRC_URI="
arm? ( $(uri arm) )
x86? ( $(uri i386) )
amd64? ( $(uri x86_64) )
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm"
IUSE="symlink"
DEPEND=""
RDEPEND="${DEPEND}
sys-libs/zlib
dev-libs/gmp:0
"
RDEPEND+=" symlink? ( !dev-haskell/stack )"
S=${WORKDIR}
QA_PREBUILT="/usr/bin/stack-bin"
QA_PRESTRIPPED="/usr/bin/stack-bin"
src_prepare() {
default
mv stack-${PV}-*/doc doc || die
mv stack-${PV}-*/stack stack-bin || die
}
src_install() {
dodoc doc/*
dobin stack-bin
use symlink && dosym stack-bin /usr/bin/stack
}

Binary file not shown.

@ -5,7 +5,7 @@ EAPI=6
# Don't block arm. See bug #600134.
#MULTILIB_COMPAT=( abi_ppc_64 abi_x86_{32,64} )
KEYWORDS="-* amd64 ~arm ~arm64 ~ppc64 x86"
KEYWORDS="-* amd64 ~arm ~arm64 ppc64 x86"
inherit java-vm-2 multilib-build toolchain-funcs

Binary file not shown.

@ -1,4 +1,3 @@
DIST clojure-1.5.1.tar.gz 540021 BLAKE2B a9887142f251b490deae33c6d3749cd5592c5e8b627475a2e79d3ef96ca27285d61edb872cdabf15227fc1e8115424a979b1570f5523f3b6f2e8976ff2db3412 SHA512 8bc4b7098ec11a3cd4d077f32607c5d23118d5f84b88af69b2051c4dd5b17f28f092b77206fba87e23f1163d2d0f7a2c37b1b1ffa1bcfef3ad4c8f74695d71cd
DIST clojure-1.6.0.tar.gz 579154 BLAKE2B 29b15c25ec3085e977da6a59c8a3d19f5fd369599cf6f8c535b828fab0176c7c0a24274507eb0cfd66f728c5961c928b9de4aed8edf00970193c1ea2addeba29 SHA512 52bf54d157dae77e71e53bac421daa1bca7ef55b837600c8b04751a545cbed0f04d3718543031d1e5b8ca43e2518d356082b9f8c029c2e318996450cfaee9c81
DIST clojure-1.7.0.tar.gz 614331 BLAKE2B 4584eb81dddb7660084a067b9332d7e5375f3fe62d9a0af8fefece446c0be654f9916298672b3bab33a166e2e4edd73c3fcd61c49f956bfe83e0de0a122f0e83 SHA512 243d3120fa1a0f559c1f6b4724d0f7ba72e6f6dd009d0849377087e890aa04dba7c119862001d0c543eb0e35ef5c13cc8967ad494ffa9522daa9f8b1dfc77ef1
DIST clojure-1.8.0.tar.gz 627688 BLAKE2B 7dc3029e38e574cd32c74cce1f3ae03890869023d5fb2e8138f2fdc4461b3f9e119c4b6042e2b7caee9561b664b49cbaf79378ef1fdd0fd78c4d712c3b9d95de SHA512 fa5714397e679f77260db054bdc0891a311e7bd14bfceb2dd0494480fb9cf21fc74dd295e75070105ff0cdd50842390a748d8782397c549f51d85d18d54a1231
DIST clojure-1.9.0.tar.gz 641645 BLAKE2B 767241c7f252a2977511adf257b1805f81a96594cff2b1b9837c782cfaabd49ae8e6eef30398e7e277952124e843967ac635985da97e2e7c5cc98ec177f3d79c SHA512 8877c654f6aa8ad990593e69b611388659973e5d1d46cf8f6cfae59c4033424a3c7eebd477539784cbd7974f7ff30580f76d8a4117414491f38e18ac3b4efb27

@ -1,32 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
JAVA_PKG_IUSE="source test"
inherit java-pkg-2 java-ant-2
DESCRIPTION="Clojure is a dynamic programming language that targets the Java Virtual Machine"
HOMEPAGE="https://clojure.org/"
SRC_URI="https://github.com/clojure/clojure/tarball/${P} -> ${P}.tar.gz"
LICENSE="EPL-1.0"
SLOT="1.5"
KEYWORDS="amd64 x86 ~x86-linux"
IUSE=""
RESTRICT="test" # patches welcome to fix the test
RDEPEND=">=virtual/jre-1.5"
DEPEND=">=virtual/jdk-1.5"
S=${WORKDIR}/clojure-clojure-22c7e75
src_test() {
java-pkg-2_src_test
}
src_install() {
java-pkg_newjar ${P/_/-}.jar
java-pkg_dolauncher ${PN}-${SLOT} --main clojure.main
dodoc changes.md readme.txt
}

@ -1,32 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
JAVA_PKG_IUSE="source test"
inherit java-pkg-2 java-ant-2
DESCRIPTION="Clojure is a dynamic programming language that targets the Java Virtual Machine"
HOMEPAGE="https://clojure.org/"
SRC_URI="https://github.com/clojure/clojure/tarball/${P} -> ${P}.tar.gz"
LICENSE="EPL-1.0 Apache-2.0 BSD"
SLOT="1.6"
KEYWORDS="amd64 x86 ~x86-linux"
IUSE=""
RESTRICT="test" # patches welcome to fix the test
RDEPEND=">=virtual/jre-1.6"
DEPEND=">=virtual/jdk-1.6"
S=${WORKDIR}/clojure-clojure-42ce994
src_test() {
java-pkg-2_src_test
}
src_install() {
java-pkg_newjar ${P/_/-}.jar
java-pkg_dolauncher ${PN}-${SLOT} --main clojure.main
dodoc changes.md readme.txt
}

@ -0,0 +1,49 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
JAVA_PKG_IUSE="source test"
inherit java-pkg-2 java-ant-2
DESCRIPTION="General-purpose programming language with an emphasis on functional programming"
HOMEPAGE="https://clojure.org/"
SRC_URI="https://github.com/clojure/clojure/tarball/${P} -> ${P}.tar.gz"
LICENSE="EPL-1.0 Apache-2.0 BSD"
SLOT="1.9"
KEYWORDS="~amd64 ~x86 ~x86-linux"
RESTRICT="test" # patches welcome to fix the test
RDEPEND="
>=virtual/jre-1.8"
DEPEND="
>=virtual/jdk-1.8
dev-java/ant-core
dev-java/maven-bin:3.5"
S="${WORKDIR}/clojure-clojure-e5a8cfa"
DOCS=( changes.md CONTRIBUTING.md readme.txt )
src_compile() {
./antsetup.sh || die "antsetup.sh failed"
eant local
}
src_test() {
java-pkg-2_src_test
}
src_install() {
java-pkg_newjar "${PN}.jar"
java-pkg_dolauncher ${PN}-${SLOT} --main clojure.main
if use source; then
mv target/${P}-sources.jar ${PN}-sources.jar
insinto /usr/share/${PN}-${SLOT}/sources
doins ${PN}-sources.jar
fi
einstalldocs
}

@ -10,3 +10,6 @@ DIST crystal-0.26.0-1-linux-i686.tar.gz 39814913 BLAKE2B 8c73e33b52a7c5d9ae24ead
DIST crystal-0.26.0-1-linux-x86_64.tar.gz 37986465 BLAKE2B dc8e05519653f82d09d8bd3a84fedd9f4720880bc61a110709643850bbcfa95738292cca8168a8c5c550abe9b178ce28fd59321c66862a1cc81007cc1cb22223 SHA512 c252d2d585fe49c755397b8f8c7965c855e8f8102598b34a83cc6e5ae821a22f3dccce8b7787dd0f00fa39fad3d2dffc23c6105c9cefe525da7855550c790ab2
DIST crystal-0.26.0.tar.gz 1992091 BLAKE2B dfc96e3e9a71dbec07235a982bbb34ea81bb3adbb39f6c8f8c9bb855ac97e5faf4d47d4a78901317798941b84117399aeee6af53c6c06ae21b9504ca617a2899 SHA512 45a62a2496d477cd72666e98b36bdcbfff958a8f5f0e71f04101f2ba72fc87117d53c8c098a72edb55e9be192b68b73529d5f76e4c660033332ed6e88a372519
DIST crystal-0.26.1.tar.gz 1994987 BLAKE2B 2292fbdf119e181313000e035802581ae206083aa5c9651a01e131d74e701ea75dc713b44274769decfc9f0f300d8fc2e6c24a94f60380b79c3cdb1a10e73369 SHA512 5e020b0f262f9bedaaae60010f669d7987a77d3416bf0dd057e29eb11adbe8fceb1c4f55a822e623d32e302a01ccc99218d2c3fe474d4ce0dde4312c196ccfa6
DIST crystal-0.27.0-1-linux-i686.tar.gz 39751745 BLAKE2B 22adf22a2e423f4b0fddda1d8d9bbfb68a4b51f18da9705b6515a500610781251561577dd25c6509aa2b6860b1b329bc7e3d213743330b91206b50239e053a89 SHA512 4fb819a67f3e2c965b454af53cf0bad9606a6a13f85f1bfbe59057291ea293099892344cd31127f5b35e3b25fc6e3f591bda508587fc32f5ef1433aeff0ca706
DIST crystal-0.27.0-1-linux-x86_64.tar.gz 37933811 BLAKE2B 76bb57b556f14ae8ce219ef490e58ff03571f36fcb4343672ff10ddd6e275e9c5c26a028d63f0592c1a081f2f5dc8241106d8a99add1a7936f52b9e3a57f96e6 SHA512 c403c4080830b928621da07f409ba5433109ee0fc81589f87e79d2e04fcbce8facfa205b7e8c78ab9bb772b4444c938b3bcf691596ee0b2d54c3f3d97150e008
DIST crystal-0.27.0.tar.gz 2025777 BLAKE2B 0a5cc02a516586b033c65efd8e28a13ac0ed67fddbd1a1f0a88a484dff825bec8f6b03b16938c750e99e0c7c1c12a3fd3fc87e61d038b25b7707e0e7f2913fae SHA512 02b0e1d43d699d1dd91f4b979c8ab8909264e5f1fcc344f6110bebb808c0ee764a943368cce9d33a258adb9631ed4f445e1f771d5a9e50fcd337fc8b319616cf

@ -0,0 +1,111 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit bash-completion-r1 llvm multiprocessing toolchain-funcs
BV=0.27.0-1
BV_AMD64=${BV}-linux-x86_64
BV_X86=${BV}-linux-i686
DESCRIPTION="The Crystal Programming Language"
HOMEPAGE="https://crystal-lang.org"
SRC_URI="https://github.com/crystal-lang/crystal/archive/${PV}.tar.gz -> ${P}.tar.gz
amd64? ( https://github.com/crystal-lang/crystal/releases/download/${BV/-*}/crystal-${BV_AMD64}.tar.gz )
x86? ( https://github.com/crystal-lang/crystal/releases/download/${BV/-*}/crystal-${BV_X86}.tar.gz )"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="doc debug examples blocking-stdio-hack +xml +yaml"
# Not compatible with llvm-7
LLVM_MAX_SLOT=6
# dev-libs/boehm-gc[static-libs] dependency problem, check the issue: https://github.com/manastech/crystal/issues/1382
DEPEND="
sys-devel/llvm:${LLVM_MAX_SLOT}
dev-libs/boehm-gc[static-libs,threads]
dev-libs/libatomic_ops
dev-libs/libevent
dev-libs/libpcre
sys-libs/libunwind
dev-libs/pcl
dev-libs/gmp:0
"
RDEPEND="${DEPEND}
xml? ( dev-libs/libxml2 )
yaml? ( dev-libs/libyaml )
"
PATCHES=(
"${FILESDIR}"/${PN}-0.25.0-verbose.patch
"${FILESDIR}"/${PN}-0.26.1-gentoo-tests-sandbox.patch
"${FILESDIR}"/${PN}-0.26.1-gentoo-tests-network-sandbox-3.patch
)
src_prepare() {
default
use blocking-stdio-hack && eapply "${FILESDIR}"/"${PN}"-0.22.0-blocking-stdio-hack.patch
}
src_compile() {
local bootstrap_path=${WORKDIR}/${PN}-${BV}/bin
if [[ ! -d ${bootstrap_path} ]]; then
eerror "Binary tarball does not contain expected directory:"
die "'${bootstrap_path}' path does not exist."
fi
emake \
$(usex debug "" release=1) \
progress=true \
stats=1 \
threads=$(makeopts_jobs) \
verbose=1 \
\
CC=$(tc-getCC) \
CXX=$(tc-getCXX) \
AR=$(tc-getAR) \
\
PATH="${bootstrap_path}:${PATH}" \
CRYSTAL_PATH=src \
CRYSTAL_CONFIG_VERSION=${PV} \
CRYSTAL_CONFIG_PATH="lib:${EPREFIX}/usr/$(get_libdir)/crystal"
use doc && emake docs
}
src_test() {
emake spec \
$(usex debug "" release=1) \
progress=true \
stats=1 \
threads=$(makeopts_jobs) \
verbose=1 \
\
CC=$(tc-getCC) \
CXX=$(tc-getCXX) \
AR=$(tc-getAR) \
\
CRYSTAL_PATH=src \
CRYSTAL_CONFIG_VERSION=${PV}
}
src_install() {
insinto /usr/$(get_libdir)/crystal
doins -r src/.
dobin .build/crystal
insinto /usr/share/zsh/site-functions
newins etc/completion.zsh _crystal
use examples && dodoc -r samples
if use doc ; then
docinto api
dodoc -r docs/.
fi
newbashcomp etc/completion.bash ${PN}
}

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -17,7 +17,7 @@ SRC_URI="http://erlang.org/download/otp_src_${PV}.tar.gz
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
IUSE="compat-ethread dirty-schedulers doc emacs hipe java kpoll libressl odbc smp sctp ssl systemd tk wxwidgets"
REQUIRED_USE="dirty-schedulers? ( smp )" #621610

Binary file not shown.

@ -1 +1,2 @@
DIST liblognorm-2.0.5.tar.gz 667709 BLAKE2B 9f2a774c2378caa460a1f11e21570e719f83e782c5731a35921099b1b31397495ea2a4baebd489d186526eb2d011f2ab30d971713a8083c1ae02168d3f632ce8 SHA512 2b36fabfa8b751127d47f307833414d339ae43bad5b687ce6ac42a961021f9a515703ca0c4808e098ef49be3a943abdbf307f90995a2331c6e266167ef041d00
DIST liblognorm-2.0.6.tar.gz 666712 BLAKE2B 4c3e46fbd9a3eaf6c429872d30c0fe93f1255dbf3cc14efc82ab94d70ef45c5560c50644e0e23dc63777ddbc405d0f3fb911975d06fd6f6cdee6f7b98ff10b74 SHA512 0b4ee55eb54920dd096fdd6d6dcc2263bc52e74442d86503bfebf26b31492a8c1b67cb3b709ecc8b96cc53252151515719027306b2b6f7ba3404adc5a48cf125

@ -0,0 +1,72 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit autotools
DESCRIPTION="Fast samples-based log normalization library"
HOMEPAGE="http://www.liblognorm.com"
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"
inherit git-r3
else
SRC_URI="http://www.liblognorm.com/files/download/${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86 ~amd64-linux"
fi
LICENSE="LGPL-2.1 Apache-2.0"
SLOT="0/5.1.0"
IUSE="debug doc static-libs test"
RDEPEND="
>=dev-libs/libestr-0.1.3
>=dev-libs/libfastjson-0.99.2:=
"
DEPEND="
${RDEPEND}
>=sys-devel/autoconf-archive-2015.02.04
virtual/pkgconfig
doc? ( >=dev-python/sphinx-1.2.2 )
"
DOCS=( ChangeLog )
src_prepare() {
default
eautoreconf
}
src_configure() {
# regexp disabled due to https://github.com/rsyslog/liblognorm/issues/143
local myeconfargs=(
--enable-compile-warnings=yes
--disable-Werror
$(use_enable doc docs)
$(use_enable test testbench)
$(use_enable debug)
$(use_enable static-libs static)
--disable-regexp
)
econf "${myeconfargs[@]}"
}
src_test() {
# When adding new tests via patches we have to make them executable
einfo "Adjusting permissions of test scripts ..."
find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x '{}' \; || \
die "Failed to adjust test scripts permission"
emake --jobs 1 check
}
src_install() {
default
find "${ED}"usr/lib* -name '*.la' -delete || die
}

@ -10,7 +10,7 @@ if [[ ${PV} == "9999" ]] ; then
inherit git-r3
MY_P="${PN}-9999"
else
KEYWORDS="amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86"
MY_PV="${PV/_alpha/alpha}"
MY_P="${PN}-${MY_PV}"
SRC_URI="https://www.cabextract.org.uk/libmspack/libmspack-${MY_PV}.tar.gz"

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PV}/${P}-Source.tar.gz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0/2"
KEYWORDS="amd64 ~arm ~hppa ~ppc ppc64 ~sparc x86"
KEYWORDS="amd64 ~arm ~hppa ppc ppc64 ~sparc x86"
IUSE="bluetooth doc irda usb"
RDEPEND="

@ -11,7 +11,7 @@ SRC_URI="http://download.librdf.org/source/${P}.tar.gz"
LICENSE="Apache-2.0 GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="+crypt gmp kernel_linux +mhash pcre static-libs test xml"
RDEPEND="

@ -9,7 +9,7 @@ SRC_URI="http://lttng.org/files/urcu/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0/6" # subslot = soname version
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 ~sparc x86"
IUSE="static-libs regression-test test"
DEPEND="test? ( sys-process/time )"

@ -22,7 +22,7 @@ SRC_URI="http://oligarchy.co.uk/xapian/${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ppc ppc64 ~sparc ~x86"
#IUSE="java lua mono perl php python ruby tcl"
#REQUIRED_USE="|| ( java lua mono perl php python ruby tcl )"
IUSE="java lua perl php python ruby tcl"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save